import { select, arc } from 'd3';

const svg = d3.select("svg");
const height = +svg.attr("height");
const width = +svg.attr("width");

const face = svg.append("g")
	.attr("transform", `translate(${width / 2} ${height / 2})`)

const circle = face.append("circle")
	.attr("r", 200)	
	.attr("fill", "#f5c542");

const eyeGroup = face.append("g")
	.attr("transform", `translate( 0 -60)`);

const eyeGap = 80;
const eyeSize = 20;
const leftEye = eyeGroup.append("circle")
	.attr("r", eyeSize)
	.attr("cx", -eyeGap);

const rightEye = eyeGroup.append("circle")
	.attr("r", eyeSize)
	.attr("cx", eyeGap)

const eyeBrowGroup = face
	.append("g")
		.attr("transform", `translate(0 -100)`)

	

const leftEyeBrowGroup = eyeBrowGroup.append("g")
		.attr("transform", `translate(-${eyeGap + eyeSize + 5} 0)`);
const leftEyeBrow = leftEyeBrowGroup.append("rect")
	.attr("width", eyeSize * 2 + 10)
	.attr("height", 10)
	.attr("fill", "black");

const rightEyeBrowGroup = eyeBrowGroup.append("g")
		.attr("transform", `translate(${eyeGap - eyeSize - 5} 0)`);
const rightEyeBrow = rightEyeBrowGroup.append("rect")
	.attr("width", eyeSize * 2 + 10)
	.attr("height", 10)
	.attr("fill", "black");

eyeBrowGroup
	.transition().duration(1000)
		.attr("transform", `translate(0 -150)`)
	.transition().duration(1000)
		.attr("transform", `translate(0 -100)`)
	.transition().duration(1000)
		.attr("transform", `translate(0 -150)`)
	.transition().duration(1000)
		.attr("transform", `translate(0 -100)`)

const mouthGroup = face.append("g")
	.attr("transform", "translate(0 30)");

const mouth = mouthGroup.append("path")
	.attr("d", arc()({
  	innerRadius: 80,
  	outerRadius: 100,
  	startAngle: Math.PI / 2,
  	endAngle: Math.PI * 3 / 2
	}))
		
		
	
